# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-02-21 20:14
from __future__ import unicode_literals

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ActivityTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Nom du tag')),
                ('is_public', models.BooleanField(help_text="Sert à faire une distinction dans l'affichage selon que cela soit destiné au public ou à l'équipe organisatrice")),
                ('color', models.CharField(help_text='Rentrer une couleur en hexadécimal', max_length=7, validators=[django.core.validators.RegexValidator(message="La chaîne de caractère rentrée n'est pasune couleur en hexadécimal.", regex='^#(?:[0-9a-fA-F]{3}){1,2}$')], verbose_name='Couleur')),
            ],
            options={
                'verbose_name': 'tag',
                'verbose_name_plural': 'tags',
            },
        ),
        migrations.CreateModel(
            name='ActivityTemplate',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(blank=True, max_length=200, null=True, verbose_name="Nom de l'activité")),
                ('is_public', models.NullBooleanField()),
                ('has_perm', models.NullBooleanField()),
                ('min_perm', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Nombre minimum de permanents')),
                ('max_perm', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Nombre maximum de permanents')),
                ('description', models.TextField(blank=True, help_text='Public, Visible par tout le monde.', null=True, verbose_name='Description')),
                ('remarks', models.TextField(blank=True, help_text='Visible uniquement par les organisateurs', null=True, verbose_name='Remarques')),
            ],
            options={
                'verbose_name': 'template activité',
                'verbose_name_plural': 'templates activité',
            },
        ),
        migrations.CreateModel(
            name='Event',
            fields=[
                ('title', models.CharField(max_length=200, verbose_name="Nom de l'évènement")),
                ('slug', models.SlugField(help_text="Seulement des lettres, des chiffres oules caractères '_' ou '-'.", primary_key=True, serialize=False, unique=True, verbose_name='Identificateur')),
                ('creation_date', models.DateTimeField(auto_now_add=True, verbose_name='Date de création')),
                ('description', models.TextField(verbose_name='Description')),
                ('beginning_date', models.DateTimeField(verbose_name='Date de début')),
                ('ending_date', models.DateTimeField(verbose_name='Date de fin')),
                ('created_by', models.ForeignKey(editable=False, on_delete=django.db.models.deletion.CASCADE, related_name='created_events', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'évènement',
                'verbose_name_plural': 'évènements',
            },
        ),
        migrations.CreateModel(
            name='Place',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=200, verbose_name='Nom du lieu')),
                ('description', models.TextField(blank=True)),
            ],
            options={
                'verbose_name': 'lieu',
                'verbose_name_plural': 'lieux',
            },
        ),
        migrations.CreateModel(
            name='Activity',
            fields=[
                ('activitytemplate_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='event.ActivityTemplate')),
            ],
            options={
                'verbose_name': 'activité',
                'verbose_name_plural': 'activités',
            },
            bases=('event.activitytemplate',),
        ),
        migrations.AddField(
            model_name='activitytemplate',
            name='event',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='activities', to='event.Event'),
        ),
        migrations.AddField(
            model_name='activitytemplate',
            name='place',
            field=models.ManyToManyField(blank=True, related_name='activities', to='event.Place'),
        ),
        migrations.AddField(
            model_name='activitytemplate',
            name='tags',
            field=models.ManyToManyField(blank=True, related_name='activities', to='event.ActivityTag'),
        ),
        migrations.AddField(
            model_name='activity',
            name='parent',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='children', to='event.ActivityTemplate'),
        ),
        migrations.AddField(
            model_name='activity',
            name='staff',
            field=models.ManyToManyField(blank=True, related_name='in_perm_activities', to=settings.AUTH_USER_MODEL),
        ),
    ]
